diff options
| author | Kubernetes Prow Robot <k8s-ci-robot@users.noreply.github.com> | 2021-10-08 16:54:36 -0700 |
|---|---|---|
| committer | GitHub <noreply@github.com> | 2021-10-08 16:54:36 -0700 |
| commit | 0b1a5bd20b7b538342971ff10808c1cb164af9c1 (patch) | |
| tree | 6028b31cf94384036808714f47b677342c06afb1 /hack | |
| parent | 4f396d0a4631a3ec6014aa1832b0513cc7c913ae (diff) | |
| parent | dec85cfd2328cb2e7a1503bfd6131f8f424226cc (diff) | |
Merge pull request #6135 from jberkus/candidate-limit
Adjusted Steering Bio checker per issue.
Diffstat (limited to 'hack')
| -rwxr-xr-x | hack/verify-steering-election.sh | 6 |
1 files changed, 3 insertions, 3 deletions
diff --git a/hack/verify-steering-election.sh b/hack/verify-steering-election.sh index 8fbe4572..1a6b158a 100755 --- a/hack/verify-steering-election.sh +++ b/hack/verify-steering-election.sh @@ -21,7 +21,7 @@ set -o pipefail shopt -s extglob # exclude bios before 2021 since some of them have more than 300 words -STEERING_ELECTION_BIOS="$(pwd)/events/elections/!(2017|2018|2019|2020)/!(README|RESULTS|voters).md" +STEERING_ELECTION_BIOS="$(pwd)/events/elections/!(2017|2018|2019|2020)/candidate-*.md" invalid_bios=0 break=$(printf "=%.0s" $(seq 1 68)) @@ -29,7 +29,7 @@ break=$(printf "=%.0s" $(seq 1 68)) for bio in ${STEERING_ELECTION_BIOS} ; do [[ -f $bio ]] || continue word_count=$(wc -w < "$bio") - if [[ ${word_count} -gt "300" ]]; then + if [[ ${word_count} -gt "450" ]]; then echo "${bio} has ${word_count} words." invalid_bios=$((invalid_bios+1)) fi @@ -39,7 +39,7 @@ if [[ ${invalid_bios} -gt "0" ]]; then echo "" echo "${break}" echo "${invalid_bios} invalid Steering Committee election bio(s) detected." - echo "All bios must be limited to 300 words." + echo "Bios should be limited to around 300 words, excluding headers." echo "${break}" exit 1; fi |
